Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 25 Feb 2021 15:40:38 +0000 (UTC)

Hi Mohammad Humayun,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I live in ajman, the Centerpoint in ajman always have size issue. Therefore I traveled to dubai 1 month prior to buy gifts for my husband.

I recently gifted him and noticed the size is totally out of proportion. It is so disappointing. The fitting is so bad.. I m not even sure if you guys will accept return because it's 1month now

I don't want to travel all the way to dubai to return the item. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2138882